tclreadline (2.4.1-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 09 Feb 2026 23:50:54 +0100

tclreadline (2.4.1-2) unstable; urgency=medium

  * Build two libraries, one with Tcl 8.6, the other with Tcl 9.0.
  * Move the libtclreadline library to a subdirectory of /usr/lib/tcltk.
  * Drop downloading original tarballs via get-orig-source target in
    debian/rules. Use uscan instead.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Mar 2025 17:52:41 +0300

tclreadline (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Feb 2025 13:04:18 +0300

tclreadline (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility level to 13.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 24 Oct 2024 15:38:29 +0300

tclreadline (2.3.8-2) unstable; urgency=medium

  * Fix the debian/watch uscan control file.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Feb 2024 12:38:05 +0300

tclreadline (2.3.8-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Nov 2019 17:54:51 +0300

tclreadline (2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove no longer necessary stubs.patch.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 Oct 2019 09:35:57 +0300

tclreadline (2.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove symlinks which point out of the build tree and a few git auxiliary
    files from the original tarball.
  * Use build tools from the libtool and automake packages.
  * Bump debhelper compatibility level to 12.
  * Bump the standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Jul 2019 16:35:27 +0300

tclreadline (2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove no longer useful lintian override.
  * Add a build dependency on tk-dev.
  * Bump the standards version to 4.3.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Feb 2019 10:42:34 +0300

tclreadline (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to new upstream (Flightaware).
  * Repackage the upstream tarball with a few dangling symlinks pointing
    outside the building tree removed.
  * Refresh patches, remove most of them since they are included upstream.
  * Adapt debian/watch for the new upstream.
  * Add the Salsa VCS headers.
  * Bump the debhelper compatibility level to 10.
  * Get rid of autotools-dev build dependency.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 27 Mar 2018 10:54:49 +0300

tclreadline (2.1.0-15) unstable; urgency=low

  * Fixed implicit function declararion warning (replaced the deprecated
    ding() by rl_ding()).
  * Added a hack to enable Tcl stubs which fixed a bunch of undefined symbols
    from the Tcl library in the resulting libtclreadline.so.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Oct 2016 12:04:28 +0300

tclreadline (2.1.0-14) unstable; urgency=low

  * Removed architecture dependent part from the tclreadline(3tcl) manpage
    (closes: #742231).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Mar 2014 11:52:56 +0400

tclreadline (2.1.0-13) unstable; urgency=low

  * Multiarchified the package.
  * Bumped debhelper compatibility version to 9.
  * Bumped standards version to 3.9.5.
  * Fixed building against the newer libreadline6 (closes: #741763).
  * Overridden lintian warning non-dev-pkg-with-shlib-symlink because it's
    a small packages not intended to split into sevral ones.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Mar 2014 14:29:09 +0400

tclreadline (2.1.0-12) unstable; urgency=low

  * Fixed build of shared library on kfreebsd-* architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 27 May 2012 22:49:04 +0400

tclreadline (2.1.0-11) unstable; urgency=low

  * Switched to 3.0 (quilt) source package format.
  * Removed useless linking to libtermcap.so (closes: #645273).
  * Removed Chris Waters from uploaders list (closes: #664115).
  * Renamed the binary package to tcl-tclreadline to comply with Debian Tcl/Tk
    policy.
  * Added hardened build flags using dpkg-buildflags.
  * Added ${misc:Depends} substitution variable to debian/control.
  * Removed unneeded libtclreadline.la file.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 May 2012 23:12:21 +0400

tclreadline (2.1.0-10) unstable; urgency=low

  * Touch configure script in debian/rules to prevent its regeneration.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Nov 2009 12:21:54 +0300

tclreadline (2.1.0-9) unstable; urgency=low

  * Removed Anselm Lingnau from uploaders list (closes: #540856).
  * Replaced libreadline5-dev by libreadline-dev in build dependencies
    (closes: #553862).
  * Overridden lintian warnings about mismatching package name with soname
    and ancient libtool (local patches are used to fix build issues on
    unusual architectures).
  * Added README.source which describes how to apply patches to the source.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 02 Nov 2009 09:39:16 +0300

tclreadline (2.1.0-8) unstable; urgency=low

  * Changed modification time of several files in debian/rules to prevent
    autoconf invocation after configure call (to prevent FTBFS under certain
    conditions).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 26 Jun 2008 10:59:24 +0400

tclreadline (2.1.0-7) unstable; urgency=low

  * Protected quilt invocation in debian/rules to make it possible to convert
    bwidget source package to 3.0 (quilt) format (closes: #484921).
  * Cleaned up debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Jun 2008 20:50:45 +0400

tclreadline (2.1.0-6) unstable; urgency=low

  * Quoted CFLAGS in debian/rules when passing to the shell, not when
    assigning to a make variable; otherwise the quotes end up as part of
    the variable and many things go wrong, leading to a build failure
    (closes: #476025).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Apr 2008 15:00:54 +0400

tclreadline (2.1.0-5) unstable; urgency=low

  * Added uscan control file debian/watch.
  * Removed empty directory /usr/bin from the binary package.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Feb 2008 10:59:07 +0300

tclreadline (2.1.0-4) unstable; urgency=low

  [ Sergei Golovan ]
  * Adapted the package to Debian Tcl/Tk policy. This includes moving
    architecture independent files into a subdirectory of /usr/share/tcltk
    and rewriting dependencies in terms of default tcl package.
  * Removed #!tclsh line from tclreadline init scripts since they aren't
    supposed to be executed directly.
  * Bumped debhelper compatibility level to 5.
  * Fixed syntax error in completer (the bug arises if a command with options
    started with a hyphen is completed).

  [ Francesco Paolo Lovergine ]
  * Added Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Nov 2007 19:26:42 +0300

tclreadline (2.1.0-3) unstable; urgency=low

  [ Sergei Golovan ]
  * Fixed building of shared library on kfreebsd-i386 and kfreebsd-amd64
    architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Sep 2007 13:52:23 +0400

tclreadline (2.1.0-2) unstable; urgency=low

  * Added Sergei Golovan to uploaders.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Sep 2007 13:52:23 +0400

tclreadline (2.1.0-1) unstable; urgency=low

  [ Sergei Golovan ]
  * New maintainer Tcl/Tk Debian Packagers.
  * New upstream release.
  * Use quilt for patch management.
  * Added homepage URL to the long package description.
  * Fixed typos in manual page (closes: #366930).
  * Fixed bug with filenames completion for non-Tcl commands (see
    http://sourceforge.net/tracker/index.php?func=detail&aid=754797&group_id=7657&atid=107657).
  * Added ::tclreadline::prompt2 command which allows to customize
    secondary prompt. Also removed garbage global variable prompt2.
  * Don't use variable tcl_prompt2 at all (tclx uses this variable in
    commandloop command). Closes: #87050.
  * Bumped standards version to 3.7.2.
  [Chris Waters]
  * Added Anselm Lingnau to uploaders.

 -- Chris Waters <xtifr@debian.org>  Sat, 14 Jul 2007 15:40:54 -0700

tclreadline (1.2.0-7) unstable; urgency=low

  * Changed build-dependency to libreadline5-dev (closes: #326294).
  * Added new versions of config.{sub,guess} (closes: #333652).
  * Beefed up package description (closes: #209754).
  * Fixed permission problem which prevented library from being stripped.
  * Fixed nroff error in man page (needed to double esc. char '/').

 -- Chris Waters <xtifr@debian.org>  Mon, 14 Nov 2005 12:14:16 -0800

tclreadline (1.2.0-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use rl_completion_matches() instead of the deprecated completion_matches()
    Closes: #226565

 -- dann frazier <dannf@debian.org>  Wed, 12 Oct 2005 06:21:34 -0600

tclreadline (1.2.0-6) unstable; urgency=low

  * Trying memuse patch from David Welton to get tclreadline working with
    threaded Tcl versions.  I'm not sure this patch is perfect (I'm a
    little afraid of what happens if you actually use threads), but at
    least it no longer crashes immediately (closes: #175192).
  * Patched startup code to no longer overwrite the global variables 'a',
    'LINE' and 'result'.  Other variables seemed to be ok.
    (closes: #89650, #90060, #92812).

 -- Chris Waters <xtifr@debian.org>  Fri, 23 May 2003 01:39:41 -0700

tclreadline (1.2.0-5) unstable; urgency=low

  * New maintainer
  * Fixed build-dependency to libreadline4-dev.

 -- Chris Waters <xtifr@debian.org>  Sun, 13 Oct 2002 02:30:30 -0700

tclreadline (1.2.0-4) unstable; urgency=high

  * Rebuild against new libreadline4 (Closes: #95320)

 -- Mike Markley <mike@markley.org>  Thu, 26 Apr 2001 05:30:27 -0700

tclreadline (1.2.0-3) unstable; urgency=low

  * Changed url in copyright file to new location (closes: #83165)

 -- Mike Markley <mike@markley.org>  Thu, 15 Feb 2001 17:13:19 -0800

tclreadline (1.2.0-2) unstable; urgency=low

  * New maintainer.

 -- Mike Markley <mike@markley.org>  Fri, 25 Aug 2000 19:06:38 -0700

tclreadline (1.2.0-1) unstable; urgency=low

  * New upstream version.
  * Rebuilt with Tcl 8.3.

 -- David Engel <david@debian.org>  Tue,  4 Apr 2000 20:47:48 -0500

tclreadline (1.0.3-1) unstable; urgency=low

  * New upstream version.
  * Rebuilt with ncurses5 and readline4.

 -- David Engel <david@debian.org>  Wed,  5 Jan 2000 09:58:28 -0600

tclreadline (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * FHS changes.

 -- David Engel <david@debian.org>  Tue, 28 Sep 1999 21:06:04 -0500

tclreadline (0.9-1) unstable; urgency=low

  * New upstream version.

 -- David Engel <david@debian.org>  Mon, 23 Aug 1999 14:02:06 -0500

tclreadline (0.8-3) unstable; urgency=low

  * Rebuilt again with new Tcl/Tk 8.,2.

 -- David Engel <david@debian.org>  Mon, 23 Aug 1999 12:13:19 -0500

tclreadline (0.8-2) unstable; urgency=low

  * Rebuilt with Tcl 8.2.
  * Changed to exit when ^D is entered.

 -- David Engel <david@debian.org>  Fri, 20 Aug 1999 01:37:45 -0500

tclreadline (0.8-1) unstable; urgency=low

  * Initial packaging.

 -- David Engel <david@debian.org>  Thu,  8 Jul 1999 21:25:17 -0500


